Bug 1262236 - glusterd: disable ping timer b/w glusterd and make epoll thread count default 1
glusterd: disable ping timer b/w glusterd and make epoll thread count default 1
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
3.1
x86_64 Linux
high Severity high
: ---
: RHGS 3.1.1
Assigned To: Gaurav Kumar Garg
SATHEESARAN
glusterd
: ZStream
Depends On:
Blocks: 1251815 1271749 1271750 1288059 1288060
  Show dependency treegraph
 
Reported: 2015-09-11 04:55 EDT by Gaurav Kumar Garg
Modified: 2016-06-05 19:38 EDT (History)
6 users (show)

See Also:
Fixed In Version: glusterfs-3.7.1-15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1271749 1271750 (view as bug list)
Environment:
Last Closed: 2015-10-05 03:26:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1845 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.1 update 2015-10-05 07:06:22 EDT

  None (edit)
Description Gaurav Kumar Garg 2015-09-11 04:55:32 EDT
Description of problem:

Currently glusterd is crashing when enable/disable heal and i/o is in progress on the fuse mount.

refer bug 
https://bugzilla.redhat.com/show_bug.cgi?id=1259992
https://bugzilla.redhat.com/show_bug.cgi?id=1260930  

for more details.


It seems to happen because of multi epoll thread between glusterd enable.

workaround is to make epoll thread to 1 and set ping-timeout to 0
Comment 3 SATHEESARAN 2015-09-15 11:31:44 EDT
Tested with glusterfs-3.7.1-15.el6rhs and glusterfs-3.7.1-15.el7rhgs

ping-timeout was set 0 and there is a new key named 'event-threads' available in glusterd vol file which is set to 1

Performed the basic glusterd sanity test cases as well.
All works well.
Marking this bug as VERIFIED
Comment 5 errata-xmlrpc 2015-10-05 03:26:02 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1845.html

Note You need to log in before you can comment on or make changes to this bug.